> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.heyreach.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.heyreach.io/_mcp/server.

# Create Webhook

POST https://api//api/public/webhooks/CreateWebhook
Content-Type: application/json

# Create Webhook

**Endpoint**\
`POST {{baseUrl}}/api/public/webhooks/CreateWebhook`

**Description**\
This API creates a new webhook that listens to specified events, optionally filtered by campaign IDs.

***

## Request Body Example

```json
{
  "webhookName": "string",
  "webhookUrl": "string",
  "eventType": "CONNECTION_REQUEST_SENT" | "CONNECTION_REQUEST_ACCEPTED" | "MESSAGE_SENT" | 
                "MESSAGE_REPLY_RECEIVED" | "INMAIL_SENT" | "INMAIL_REPLY_RECEIVED" | "FOLLOW_SENT" | 
                "LIKED_POST" | "VIEWED_PROFILE" | "CAMPAIGN_COMPLETED" | "LEAD_TAG_UPDATED" | 
                "EVERY_MESSAGE_REPLY_RECEIVED"
  "campaignIds": []
}

```

## Request Parameters

* **`webhookName`** (`string`): The name of the webhook.

* **`webhookUrl`** (`string`): The URL to which the webhook will send POST requests.

* **`eventType`** (`string`): The type of event that triggers the webhook. It must be one of the following values:

  * `CONNECTION_REQUEST_SENT`

  * `CONNECTION_REQUEST_ACCEPTED`

  * `MESSAGE_SENT`

  * `MESSAGE_REPLY_RECEIVED` (only the first reply)

  * `INMAIL_SENT`

  * `INMAIL_REPLY_RECEIVED`(only the first reply)

  * `EVERY_MESSAGE_REPLY_RECEIVED` (including repliies for both messages and inmails)

  * `FOLLOW_SENT`

  * `LIKED_POST`

  * `VIEWED_PROFILE`

  * `CAMPAIGN_COMPLETED`

  * `LEAD_TAG_UPDATED`

* **`campaignIds`** (`array`): A list of campaign IDs. If this array is empty, the webhook will listen for the specified `eventType` across all campaigns. If specific campaign IDs are provided, the webhook will listen only to those campaigns.

Reference: https://docs.heyreach.io/hey-reach-api/webhooks/create-webhook

## Request

### Headers

- `X-API-KEY` (string, optional) — API key header using this scheme. Example: "X-API-KEY: \{API\_KEY}"

### Body (application/json)

This endpoint expects a string.

- `string`

## Examples

**Request**

```json
"{\n  \"webhookName\": \"string\",\n  \"webhookUrl\": \"string\",\n  \"eventType\": \"CONNECTION_REQUEST_SENT\" | \"CONNECTION_REQUEST_ACCEPTED\" | \"MESSAGE_SENT\" | \n                \"MESSAGE_REPLY_RECEIVED\" | \"INMAIL_SENT\" | \"INMAIL_REPLY_RECEIVED\" | \"FOLLOW_SENT\" | \n                \"LIKED_POST\" | \"VIEWED_PROFILE\" | \"CAMPAIGN_COMPLETED\" | \"LEAD_TAG_UPDATED\" | \n                \"EVERY_MESSAGE_REPLY_RECEIVED\"\n  \"campaignIds\": []\n}"
```

**SDK Code**

```python
import requests

url = "https://api//api/public/webhooks/CreateWebhook"

payload = "{
  \"webhookName\": \"string\",
  \"webhookUrl\": \"string\",
  \"eventType\": \"CONNECTION_REQUEST_SENT\" | \"CONNECTION_REQUEST_ACCEPTED\" | \"MESSAGE_SENT\" | 
                \"MESSAGE_REPLY_RECEIVED\" | \"INMAIL_SENT\" | \"INMAIL_REPLY_RECEIVED\" | \"FOLLOW_SENT\" | 
                \"LIKED_POST\" | \"VIEWED_PROFILE\" | \"CAMPAIGN_COMPLETED\" | \"LEAD_TAG_UPDATED\" | 
                \"EVERY_MESSAGE_REPLY_RECEIVED\"
  \"campaignIds\": []
}"
headers = {
    "X-API-KEY": "<string>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api//api/public/webhooks/CreateWebhook';
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<string>', 'Content-Type': 'application/json'},
  body: '"{\n  \"webhookName\": \"string\",\n  \"webhookUrl\": \"string\",\n  \"eventType\": \"CONNECTION_REQUEST_SENT\" | \"CONNECTION_REQUEST_ACCEPTED\" | \"MESSAGE_SENT\" | \n                \"MESSAGE_REPLY_RECEIVED\" | \"INMAIL_SENT\" | \"INMAIL_REPLY_RECEIVED\" | \"FOLLOW_SENT\" | \n                \"LIKED_POST\" | \"VIEWED_PROFILE\" | \"CAMPAIGN_COMPLETED\" | \"LEAD_TAG_UPDATED\" | \n                \"EVERY_MESSAGE_REPLY_RECEIVED\"\n  \"campaignIds\": []\n}"'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api//api/public/webhooks/CreateWebhook"

	payload := strings.NewReader("\"{\\n  \\\"webhookName\\\": \\\"string\\\",\\n  \\\"webhookUrl\\\": \\\"string\\\",\\n  \\\"eventType\\\": \\\"CONNECTION_REQUEST_SENT\\\" | \\\"CONNECTION_REQUEST_ACCEPTED\\\" | \\\"MESSAGE_SENT\\\" | \\n                \\\"MESSAGE_REPLY_RECEIVED\\\" | \\\"INMAIL_SENT\\\" | \\\"INMAIL_REPLY_RECEIVED\\\" | \\\"FOLLOW_SENT\\\" | \\n                \\\"LIKED_POST\\\" | \\\"VIEWED_PROFILE\\\" | \\\"CAMPAIGN_COMPLETED\\\" | \\\"LEAD_TAG_UPDATED\\\" | \\n                \\\"EVERY_MESSAGE_REPLY_RECEIVED\\\"\\n  \\\"campaignIds\\\": []\\n}\"")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-KEY", "<string>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api//api/public/webhooks/CreateWebhook")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<string>'
request["Content-Type"] = 'application/json'
request.body = "\"{\\n  \\\"webhookName\\\": \\\"string\\\",\\n  \\\"webhookUrl\\\": \\\"string\\\",\\n  \\\"eventType\\\": \\\"CONNECTION_REQUEST_SENT\\\" | \\\"CONNECTION_REQUEST_ACCEPTED\\\" | \\\"MESSAGE_SENT\\\" | \\n                \\\"MESSAGE_REPLY_RECEIVED\\\" | \\\"INMAIL_SENT\\\" | \\\"INMAIL_REPLY_RECEIVED\\\" | \\\"FOLLOW_SENT\\\" | \\n                \\\"LIKED_POST\\\" | \\\"VIEWED_PROFILE\\\" | \\\"CAMPAIGN_COMPLETED\\\" | \\\"LEAD_TAG_UPDATED\\\" | \\n                \\\"EVERY_MESSAGE_REPLY_RECEIVED\\\"\\n  \\\"campaignIds\\\": []\\n}\""

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api//api/public/webhooks/CreateWebhook")
  .header("X-API-KEY", "<string>")
  .header("Content-Type", "application/json")
  .body("\"{\\n  \\\"webhookName\\\": \\\"string\\\",\\n  \\\"webhookUrl\\\": \\\"string\\\",\\n  \\\"eventType\\\": \\\"CONNECTION_REQUEST_SENT\\\" | \\\"CONNECTION_REQUEST_ACCEPTED\\\" | \\\"MESSAGE_SENT\\\" | \\n                \\\"MESSAGE_REPLY_RECEIVED\\\" | \\\"INMAIL_SENT\\\" | \\\"INMAIL_REPLY_RECEIVED\\\" | \\\"FOLLOW_SENT\\\" | \\n                \\\"LIKED_POST\\\" | \\\"VIEWED_PROFILE\\\" | \\\"CAMPAIGN_COMPLETED\\\" | \\\"LEAD_TAG_UPDATED\\\" | \\n                \\\"EVERY_MESSAGE_REPLY_RECEIVED\\\"\\n  \\\"campaignIds\\\": []\\n}\"")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api//api/public/webhooks/CreateWebhook', [
  'body' => '"{\\n  \\"webhookName\\": \\"string\\",\\n  \\"webhookUrl\\": \\"string\\",\\n  \\"eventType\\": \\"CONNECTION_REQUEST_SENT\\" | \\"CONNECTION_REQUEST_ACCEPTED\\" | \\"MESSAGE_SENT\\" | \\n                \\"MESSAGE_REPLY_RECEIVED\\" | \\"INMAIL_SENT\\" | \\"INMAIL_REPLY_RECEIVED\\" | \\"FOLLOW_SENT\\" | \\n                \\"LIKED_POST\\" | \\"VIEWED_PROFILE\\" | \\"CAMPAIGN_COMPLETED\\" | \\"LEAD_TAG_UPDATED\\" | \\n                \\"EVERY_MESSAGE_REPLY_RECEIVED\\"\\n  \\"campaignIds\\": []\\n}"',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<string>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api//api/public/webhooks/CreateWebhook");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-KEY", "<string>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "\"{\\n  \\\"webhookName\\\": \\\"string\\\",\\n  \\\"webhookUrl\\\": \\\"string\\\",\\n  \\\"eventType\\\": \\\"CONNECTION_REQUEST_SENT\\\" | \\\"CONNECTION_REQUEST_ACCEPTED\\\" | \\\"MESSAGE_SENT\\\" | \\n                \\\"MESSAGE_REPLY_RECEIVED\\\" | \\\"INMAIL_SENT\\\" | \\\"INMAIL_REPLY_RECEIVED\\\" | \\\"FOLLOW_SENT\\\" | \\n                \\\"LIKED_POST\\\" | \\\"VIEWED_PROFILE\\\" | \\\"CAMPAIGN_COMPLETED\\\" | \\\"LEAD_TAG_UPDATED\\\" | \\n                \\\"EVERY_MESSAGE_REPLY_RECEIVED\\\"\\n  \\\"campaignIds\\\": []\\n}\"", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-KEY": "<string>",
  "Content-Type": "application/json"
]
let parameters = "{
  \"webhookName\": \"string\",
  \"webhookUrl\": \"string\",
  \"eventType\": \"CONNECTION_REQUEST_SENT\" | \"CONNECTION_REQUEST_ACCEPTED\" | \"MESSAGE_SENT\" | 
                \"MESSAGE_REPLY_RECEIVED\" | \"INMAIL_SENT\" | \"INMAIL_REPLY_RECEIVED\" | \"FOLLOW_SENT\" | 
                \"LIKED_POST\" | \"VIEWED_PROFILE\" | \"CAMPAIGN_COMPLETED\" | \"LEAD_TAG_UPDATED\" | 
                \"EVERY_MESSAGE_REPLY_RECEIVED\"
  \"campaignIds\": []
}" as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api//api/public/webhooks/CreateWebhook")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```